Bug 10867 - linuxconf generate bad sendmail.cf files
linuxconf generate bad sendmail.cf files
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-04-17 05:53 EDT by dave heim
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-08 10:18:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description dave heim 2000-04-17 05:53:44 EDT
I had a problem with sendmail since I used linuxconf to generate it.
The problem is that after, sendmail rejects connection like it :

>Helo host.domain.com
<250 xxxxxxx , pleased to meet you
>Mail from:<>

Then an error occured : 514 buildaddr (no host)

This problem didnt occured before I used linuxconf.

I first submitted this problem to the Sendmail.org Web support that answer
me that my sendmail.cf file was broken.
So I searched the source of this problem, and it seems to be the
/usr/lib/linuxconf/mailconf/rulesets.s0.local.cf which is corrupted since
linuxconf 1.16-10.
Then a replaced it with the rulsets.s0.local.cf of linuxconf 1.16-3 (from
RH 6.1 CDROM), ans all seems to works again.

>Helo host.domain.com
<250 xxxxxxx , pleased to meet you
>Mail from :<>
<Sendm250 <>... Sender ok

So I think that its a linxconf bug !
Comment 1 Trond Eivind Glomsrxd 2001-04-18 16:42:11 EDT
This (sendmail configuration) was removed for the linuxconf version in Red Hat
Linux 7 and newer

Note You need to log in before you can comment on or make changes to this bug.